_print = print;

function LOG_I(msg)
	local info = debug.getinfo(2);
	local logMsg = string.format("[%s:%d]", info.source, info.currentline) .. msg;
	_print(logMsg);
end

print = LOG_I;

function Traceback(err)
    print("[LUA ERROR]: " .. tostring(err))
    print(debug.traceback())
end

function ReLoadScript(scriptName)
    local vm = g_GetLuaVM();
    vm:ExecuteScriptFile(scriptName);
end
